# csh plotT.com $file $title $type 
# Plot throughput as a function of the packet size, given
#   a configured byte drop rate.
set file=$1
set title=$2 
set type=$3
set half=50
if ($type == "ps") then 
  set type1='postscript eps'
endif
if ($type == "png") then 
  set type1='png'
endif
## d4: Configured Drop Rate
## t7: bytes acked.  This checks correctly for packet size.
## t9: Median of t7.
## t11: Average of t7.
##    maxed by max_rate
awk -f flowPStcp.awk $file > t7
sort t7 | awk -f medianP.awk total=10 > t9
awk -f avgP.awk t7 > t11
gnuplot << !
# set term post
set terminal $type1 
set xlabel "Packet Size"
set ylabel "Throughput (Kbps)"
set yrange [0:]
set xrange [0:]
set title "$title"
set output "$file.1.$type"
set key right 
# set size 0.6,0.8
set size 1.0,0.8 
plot "t7" title "TCP_goodput_rates" with points pt 2 ps 1, \
"t9" title "Median_TCP_goodput_rate" with linespoints pt 1 ps 1, \
"t11" title "Average_TCP_goodput_rate" with linespoints pt 3 ps 1
!
## t8: TCP sending rate.
## t10: median of t8.
## t12: average of t8.
awk -f flowPStcpSend.awk $file > t8
sort t8 | awk -f medianP.awk total=10 > t10
awk -f avgP.awk t8 > t12
gnuplot << !
# set term post
set terminal $type1 
set xlabel "Packet Size"
set ylabel "Throughput (Kbps)"
set yrange [0:]
set xrange [0:]
set title "$title"
set output "$file.2.$type"
set key right 
# set size 0.6,0.8
set size 1.0,0.8 
plot "t8" title "TCP_sending_rates" with points pt 2 ps 1, \
"t10" title "Median_TCP_sending_rate" with linespoints pt 1 ps 1, \
"t12" title "Average_TCP_sending_rate" with linespoints pt 3 ps 1
!
awk -f dropratesAggPS.awk fid=0 $file > d6
gnuplot << !
set terminal $type1
set xlabel "Packet Size"
set ylabel "Packet Drop Rates"
#set yrange [0:]
#set xrange [0:1]
set title "$title"
set output "$file.$type"
set key left
# set size 0.6,0.8
set size 1.0,0.8
plot "d6" title "TCP_aggregate_drop_rate" with linespoints pt 4 ps 1
!
if ($type == "ps") then
  gv $file.1.ps &
  gv $file.2.ps &
  gv $file.ps &
endif
