# csh table0.com ps 
# Plot throughput as a function of the configured drop rate.
# maxrate is the max sending rate, including header overhead, in Kbps
set type=$1
set type1='postscript eps'
set file=table0
if ($type == "png") then 
  set type1='png'
endif
gnuplot << !
# set term post
set terminal $type1 
set xlabel "Packet Drop Rate"
set ylabel "Sending Rate (Kbps)"
set logscale y
set logscale x
set yrange [0.3:2000]
set xrange [0.001:0.55]
set title "TCP and TFRC Sending Rates (Large Packets)"
set output "$file.$type"
set key left bottom 
# set size 0.6,0.8
set size 1.0,0.8 
plot "L1" title "TCP" with linespoints pt 2 ps 1, "L2" title "TFRC" with linespoints pt 1 ps 1, "Lecn1" title "ECN_TCP" with linespoints pt 3 ps 1
!
if ($type == "ps") then
  gv $file.ps &
endif
